G988U Android R Kernel Source

by

elliwigy

Requirements:
- Have your build environment set up already. This source code includes clang and aarch64-linux-android-4.9 toolchains already.
- To use the kernel after building you will need to of course have an unlocked bootloader. Visit https://www.sampwnd.com for bootloader unlock information for USA model devices.

Steps to build this kernel source:

1. git clone https://gitlab.com/sampwnd/z3q/g988u_kernel.git
2. cd g988u_kernel
3. ./build_kernel.sh

Notes:
- You can make any edits to the build script that you would like which would be build_kernel.sh.
- If you do not use or have ccache setup or if you don't want it to use 50gb space then edit the build_kernel.sh script how you like.
